function dom_loaded(e)
{
	try
	{
	   var urlRegX = /^http(s)?:\/\/www.orkut.com\/Scrapbook.aspx\?.id=/i;
	   if (urlRegX.test(e.originalTarget.location.href))
	   {
		var url = e.originalTarget.location.href;
		var uid = url.substring(url.indexOf("?") + 1);
		var uidRegX = new RegExp("uid=" + uid + "[^\\d]|&|$","i");//& will be appended later
	   	var links = e.originalTarget.links;
	    	var kk=0;
		for(kk=0; kk<links.length; kk++)
		{
			var link = links[kk];
			if(link.href.indexOf("Profile.aspx?uid=") >= 0)
			{
				if(!uidRegX.test(link.href))
					continue;
				if(link.lastChild.nodeName.toUpperCase() == "IMG")
				{
					link.addEventListener("click", open_reply_popup, false);
				}
			}
		}
	   }

	}
	catch(ex)
	{
		alert(ex);
	}
}

var myAJAXObject = null;

function open_reply_popup(e)
{
	e.preventDefault();
	
	if(myAJAXObject)
	{
    alert("Wait for the last response to arrive");
  }
	
	var doc = this.ownerDocument;
	var frms = doc.getElementsByTagName("form");	
	var frm = frms[0];

  if(this.nextSibling.id == "replyDiv")
  {
    div = this.nextSibling;
  }
  else
  {
    var div = document.createElement("div");
    div.setAttribute("name", "replyDiv");
    div.setAttribute("id", "replyDiv");
  }
  
  if(div.childNodes.length > 0)
  {
    return;
  }
  
  div.appendChild(frm.cloneNode(true));
  var newForm =   div.getElementsByTagName('form')[0];
  newForm.action = this.href.replace("Profile.aspx", "Scrapbook.aspx");
  newForm.onsubmit = function(e){e.preventDefault(); sendAJAXRequest(this, document); this.parentNode.removeChild(this);};
  newForm.id = "orkutreplysmallwndform";
  
  try{
    this.parentNode.insertBefore(div, this.nextSibling);
  }
  catch(e)
  {
    alert(e);
  }
	//this.href.replace("Profile.aspx", "Scrapbook.aspx");
}

function sendAJAXRequest(frm)
{
  try{
    var params = Form.serialize(frm);

    url = frm.action;
    query = params;
    
    var status = false;
    var contentType = "application/x-www-form-urlencoded; charset=UTF-8";

    if (window.XMLHttpRequest) {
        myAJAXObject = new XMLHttpRequest();
        myAJAXObject.onreadystatechange = gotResponse;
        myAJAXObject.open("post", url, true);
        myAJAXObject.setRequestHeader("Content-Type", contentType);
        myAJAXObject.send(query);
        status = true;
    }    
    return status;
  }catch(e)
  {
    alert(e);
  }
}


function gotResponse()
{
  if(!myAJAXObject)
  {
    alert("No Ajax object");
  }
  try{
  if (myAJAXObject.readyState == 4) {
    if (myAJAXObject.status == 200) {
      alert("Your scrap has been delivered");
    } else {
      alert('There was a problem with the request.');
    }
    myAJAXObject = null;
  }
  //alert(myAJAXObject.readyState + ":" + myAJAXObject.status);
  }catch(e){alert(e);}
}

function window_starting()
{
	var appcontent = window.document.getElementById("appcontent");
	if (appcontent) 
	{
		if (!appcontent.eventHandlerAdded)
		{
			appcontent.eventHandlerAdded = true;
			appcontent.addEventListener("DOMContentLoaded", dom_loaded, false);
		}
	}
}

window.addEventListener("load", window_starting, false);
